Summary: device mapper library
Name: device-mapper
Version: 1.02.02
Release: 3.0.RHEL4
License: GPL
Group: System Environment/Base
URL: http://sources.redhat.com/dm
Source0: %{name}.%{version}.tgz
Source1: %{name}.1.00.21.tgz
Source2: %{name}.1.01.04.tgz
Patch0: device-mapper-rhel4u3.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libselinux-devel

%define _exec_prefix /

%description
This package contains the supporting userspace files (libdevmapper and
dmsetup) for the device-mapper.

%prep
%setup -q -n %{name}.%{version}
%patch0 -p1 -b .rhel4u3
%setup -T -D -a 1 -n %{name}.%{version}
%setup -T -D -a 2 -n %{name}.%{version}

%build
%configure --enable-static_link --with-user= --with-group= --with-device-uid=0 --with-device-gid=6 --with-device-mode=0660
make
cd device-mapper.1.00.21
%configure --enable-static_link --with-user= --with-group= --with-device-uid=0 --with-device-gid=6 --with-device-mode=0660
make
cd ../device-mapper.1.01.04
%configure --enable-static_link --with-user= --with-group= --with-device-uid=0 --with-device-gid=6 --with-device-mode=0660
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
install -m 555 device-mapper.1.00.21/lib/ioctl/libdevmapper.so $RPM_BUILD_ROOT/%{_libdir}/libdevmapper.so.1.00
install -m 555 device-mapper.1.01.04/lib/ioctl/libdevmapper.so $RPM_BUILD_ROOT/%{_libdir}/libdevmapper.so.1.01

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING COPYING.LIB INSTALL INTRO README VERSION WHATS_NEW
%{_libdir}/libdevmapper.so*
%{_libdir}/libdevmapper.a*
%{_sbindir}/dmsetup
%{_sbindir}/dmsetup.static
%{_mandir}/*/*
%{_includedir}/libdevmapper.h


%changelog
* Thu Jan 12 2006 Alasdair Kergon <agk@redhat.com> - 1.02.02-3.0
- A further fix to the hashing code. (176443)

* Wed Jan 04 2006 Alasdair Kergon <agk@redhat.com> - 1.02.02-2.0
- Remove unused event daemon code. (176877)
- Fix 'dmsetup version'. (176861)
- Fix hash functions for clvm. (176443)

* Fri Dec 02 2005 Alasdair Kergon <agk@redhat.com> - 1.02.02-1.0
- Include event daemon in the build.
- Export dm_task_update_nodes.
- Use ioctl names instead of numbers in failure error messages.

* Wed Nov 23 2005 Alasdair Kergon <agk@redhat.com> - 1.02.01-1.0
- Suppress attempts to reload identical tables and fix LVM- prefix matching.

* Thu Nov 10 2005 Alasdair Kergon <agk@redhat.com> - 1.02.00-1.0
- Extend library with hash, bitset, pool, dbg_malloc and activation
  tree functions.
- Add ls --tree to dmsetup.
- Add nolockfs support for suspend/reload.

* Mon Aug 02 2005 Alasdair Kergon <agk@redhat.com> - 1.01.04-1.0
- Fix dmsetup handling with empty table (needed by multipath).

* Mon Jun 13 2005 Alasdair Kergon <agk@redhat.com> - 1.01.03-1.0
- Reinstate selinux support.

* Tue May 17 2005 Alasdair Kergon <agk@redhat.com> - 1.01.02-1
- Add --exec and --target to dmsetup for initrd convenience.
- Automatically call dm_lib_exit when exiting.

* Tue Mar 29 2005 Alasdair Kergon <agk@redhat.com> - 1.01.01-1
- Update dmsetup man page.
- Replicate devmap_name output with dmsetup info -c --noheadings -o name.
 
* Wed Feb 18 2005 Alasdair Kergon <agk@redhat.com> - 1.01.00-3
- Fix reinstated libdevmapper perms.

* Wed Feb 18 2005 Alasdair Kergon <agk@redhat.com> - 1.01.00-2
- Reinstate a copy of previous shared library version 1.00 to avoid 
  requiring applications using libdevmapper to be recompiled immediately.

* Mon Jan 17 2005 Alasdair Kergon <agk@redhat.com> - 1.01.00-1
- Update lib interface to make open_count optional.

* Fri Jan 7 2005 Alasdair Kergon <agk@redhat.com> - 1.00.21-1
- Fix (harmless) unintended warning messages.

* Thu Jan 6 2005 Alasdair Kergon <agk@redhat.com> - 1.00.20-1
- Minor fixes and updates - see WHATS_NEW.

* Fri Sep 17 2004 Alasdair Kergon <agk@redhat.com> - 1.00.19-2
- Missing BuildRequires. [bz 121133]

* Sat Jul 3 2004 Alasdair Kergon <agk@redhat.com> - 1.00.19-1
- New upstream release fixes device numbers for 2.6 kernels.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed May 26 2004 Alasdair Kergon <agk@redhat.com> - 1.00.17-2
- Fix is_selinux_enabled() test

* Mon Apr 19 2004 Alasdair Kergon <agk@redhat.com> - 1.00.17-1
- Fix non-root build with current version of 'install'.
- Incorporate last two selinux patches into tarball.

* Fri Apr 16 2004 Bill Nottingham <notting@redhat.com> - 1.00.14-3
- fix linking against libselinux on x86-64

* Thu Apr 15 2004 Jeremy Katz <katzj@redhat.com> - 1.00.14-2
- don't error out if we get ENOTSUP setting the context

* Tue Apr 06 2004 Alasdair Kergon <agk@redhat.com> 1.00.14-1
- Fix static selinux build.

* Tue Apr 06 2004 Alasdair Kergon <agk@redhat.com> 1.00.13-1
- Set selinux context when doing mknod.

* Mon Apr 05 2004 Alasdair Kergon <agk@redhat.com> 1.00.11-1
- Cleanup build process. Add features: dmsetup targets, event_nr support.

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Dec  5 2003 Jeremy Katz <katzj@redhat.com> 1.00.07-2
- add static lib

* Tue Dec  2 2003 Jeremy Katz <katzj@redhat.com> 1.00.07-1
- Initial build.

